<?php
/**
 * 修改标签
 * @author yzxh24
 * @email yzxh24@gmail.com
 * @created 2010-05-14 15:07:00
 */
class UpdateAction extends BaseAction
{
    public function run()
    {
        $model = $this->getController()->loadLabel();
		if (isset($_POST['Label']))
		{
			$model->attributes = $_POST['Label'];
			if ($model->save())
			{
				$this->getController()->redirect(array('list'));
			}
		}
		$this->getController()->render('update', array('model' => $model));
    }
}